<mamecheat version="1">

  <cheat desc="Infinite Bonus">
    <script state="run">
      <action>maincpu.pb@E05B=09</action>
      <action>maincpu.pb@E05C=99</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round"> <comment>You will need to select Round 1 and you will jump to the round(+1) you chose after completing round 1</comment>
    <parameter min="1" max="49" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E045==01)">maincpu.pb@E045=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E1AD=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magnet time PL1"> <comment>Get the magnet first</comment>
    <script state="run">
      <action>maincpu.pb@E1B5=B4</action>
    </script>
  </cheat>

  <cheat desc="Bat never reduces PL1">
    <script state="run">
      <action>maincpu.pb@E1B3=63</action>
      <action>maincpu.pb@E1AA=00</action>
      <action>maincpu.pb@E1AB=99</action>
    </script>
  </cheat>

  <cheat desc="Maximum bat size PL1">
    <script state="run">
      <action>maincpu.pb@E1B1=06</action>
    </script>
  </cheat>

  <cheat desc="Always have normal ball PL1">
    <script state="run">
      <action>maincpu.pb@E1A9=00</action>
    </script>
  </cheat>

  <cheat desc="Always have super ball PL1">
    <script state="run">
      <action>maincpu.pb@E1A9=01</action>
    </script>
  </cheat>

  <cheat desc="Always have magnet PL1">
    <script state="run">
      <action>maincpu.pb@E1B4=43</action>
    </script>
  </cheat>

  <cheat desc="Get the normal ball Now! PL1">
    <script state="on">
      <action>maincpu.pb@E1A9=00</action>
    </script>
  </cheat>

  <cheat desc="Get the super ball Now! PL1">
    <script state="on">
      <action>maincpu.pb@E1A9=01</action>
    </script>
  </cheat>

  <cheat desc="Get the magnet Now! PL1">
    <script state="on">
      <action>maincpu.pb@E1B4=43</action>
    </script>
  </cheat>

  <cheat desc="Lose the magnet Now! PL1">
    <script state="on">
      <action>maincpu.pb@E1B4=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E1ED=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Magnet time PL2"> <comment>Get the magnet first</comment>
    <script state="run">
      <action>maincpu.pb@E1F5=B4</action>
    </script>
  </cheat>

  <cheat desc="Bat never reduces PL2">
    <script state="run">
      <action>maincpu.pb@E1F3=63</action>
      <action>maincpu.pb@E1EA=00</action>
      <action>maincpu.pb@E1EB=99</action>
    </script>
  </cheat>

  <cheat desc="Maximum bat size PL2">
    <script state="run">
      <action>maincpu.pb@E1F1=06</action>
    </script>
  </cheat>

  <cheat desc="Always have normal ball PL2">
    <script state="run">
      <action>maincpu.pb@E1E9=00</action>
    </script>
  </cheat>

  <cheat desc="Always have super ball PL2">
    <script state="run">
      <action>maincpu.pb@E1E9=01</action>
    </script>
  </cheat>

  <cheat desc="Always have magnet PL2">
    <script state="run">
      <action>maincpu.pb@E1F4=43</action>
    </script>
  </cheat>

  <cheat desc="Get the normal ball Now! PL2">
    <script state="on">
      <action>maincpu.pb@E1E9=00</action>
    </script>
  </cheat>

  <cheat desc="Get the super ball  Now! PL2">
    <script state="on">
      <action>maincpu.pb@E1E9=01</action>
    </script>
  </cheat>

  <cheat desc="Get the magnet Now! PL2">
    <script state="on">
      <action>maincpu.pb@E1F4=43</action>
    </script>
  </cheat>

  <cheat desc="Lose the magnet Now! PL2">
    <script state="on">
      <action>maincpu.pb@E1F4=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
